﻿using System.Drawing;
using Space.Library;

namespace Space.Model.Entity
{
    /// <summary>
    /// Encapsulates rendering a graphical effect.
    /// </summary>
    public class EffectBase : IPaint
    {
        private readonly Ship _owner;
        private readonly Ship _target;

        public EffectBase(Ship owner, Ship target)
        {
            _owner = owner;
            _target = target;
        }
        
        public void Paint(Painter painter, GameRunner runner)
        {
            painter.DrawLine(_owner.Pos.X,_owner.Pos.Y, _target.Pos.X, _target.Pos.Y, Color.Red, 4);
        }
    }
}