﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Space.Model.Entity
{
    public abstract class EntityBase{

        protected bool IsInitialized;

        public virtual void Init(GameRunner runner)
        {
            
        }

        public virtual void Tick(GameRunner runner, int timestep)
        {
            if (!IsInitialized)
            {
                IsInitialized = true;
                Init(runner);
            }
        }

        public virtual void Cleanup(GameRunner runner)
        {
            
        }
    }
}
