﻿using Space.Model.Entity;

namespace Space.Model.Fsm
{
    /// <summary>
    /// State that does nothing (guard state).
    /// </summary>
    public class NothingState<T> : IState<T>
    {
        public bool AcceptInput { get { return true; } }

        public T Owner { get; set; }
        public void Enter()
        {
            
        }

        public void Execute(long timestep)
        {
        }

        public void Exit()
        {
        }
    }
}
